> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supernormal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a recording

> Returns a single recording by ID



## OpenAPI

````yaml get /recordings/{id}
openapi: 3.0.1
info:
  title: Supernormal API
  description: Documentation for the Supernormal API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.supernormal.com/api/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agents
    description: Operations about agents
  - name: Calendar Events
    description: Operations about calendar
  - name: Recordings
    description: Operations about recordings
  - name: Current User
    description: Operations about user
paths:
  /recordings/{id}:
    get:
      tags:
        - Recordings
      summary: Get a recording
      description: Returns a single recording by ID
      parameters:
        - name: id
          in: path
          description: The ID of the recording
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Recording response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordingDetail'
      security:
        - ApiKeyAuth:
            - recordings:read
components:
  schemas:
    RecordingDetail:
      type: object
      allOf:
        - $ref: '#/components/schemas/Recording'
        - type: object
          properties:
            notes:
              description: The meeting summary / notes content
              type: string
            meeting_summary:
              description: The AI-generated meeting summary
              type: string
    Recording:
      type: object
      properties:
        id:
          description: The recording’s ID
          type: string
        title:
          description: The recording’s title
          type: string
        status:
          description: The recording’s status
          type: string
        recorded_at:
          description: When the recording was captured, in ISO 8601 format
          type: string
        completed_at:
          description: When the recording finished processing, in ISO 8601 format
          type: string
        duration_seconds:
          description: Duration of the recording in seconds
          type: integer
        participants_count:
          description: Number of participants
          type: integer
        summary:
          description: A brief summary of the meeting
          type: string
        owner:
          $ref: '#/components/schemas/User'
    User:
      type: object
      properties:
        id:
          description: The user’s ID
          type: string
        first_name:
          description: The user’s first name
          type: string
        last_name:
          description: The user’s last name
          type: string
        email:
          description: The user’s email
          type: string
        avatar_url:
          description: The user’s avatar URL
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-TOKEN
      x-scopes:
        user:read: Read user information
        recordings:read: Read recordings and transcripts
        calendar_events:read: Read calendar events
        calendar_events:write: Write calendar events

````